List Products in Collection
Retrieves list of products from a product collection; works for both dynamic and static product collections.
Path Parameters
Unique product collection ID.
"pc_41V4DiQQO8YGqj0J2oZD57j4"
Query Parameters
Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.
1 <= x <= 100Which page of results to return. The lowest value is 1.
1 <= x <= 100Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.
created_at, -created_at, updated_at, -updated_at, type, -type, code, -code, campaign, -campaign, category, -category Timestamp representing the date and time to use in starting_after cursor to get more data. Represented in ISO 8601 format.
"2023-12-22T10:13:06.487Z"
Response
Returns a dictionary of products and/or SKUs grouped in the collection with each product's/SKU's details.
Response body schema for GET v1/product-collections/{productCollectionId}/products.
The type of the object represented by JSON. This object stores information about products and SKUs.
Identifies the name of the JSON property that contains the array of products and SKUs.
A dictionary that contains an array of products and SKUs.
- Product without Skus Object
- SKU with parent product.
Total number of products & SKUs in the product collection.

